"""SQLAlchemy model for the 'event_types' table in the Home Assistant PostgreSQL database."""

from sqlalchemy import Column, BigInteger, String

from .base import Base


class EventTypes(Base):
    """SQLAlchemy model for the 'event_types' table."""

    __tablename__ = "event_types"
    __table_args__ = {"schema": "public"}

    event_type_id = Column(BigInteger, primary_key=True, autoincrement=True)
    event_type = Column(String(64), nullable=True)
